Subject: bug#65449: 30.0.50; [PATCH] strokes: Support running other function when no stroke matches

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 Aug 2023 14:17:28 +0300

> From: Liu Hui <[email-masked]>
> Date: Tue, 22 Aug 2023 14:25:24 +0800
> 
> This patch allows users to call another function when no stroke
> matches, instead of signaling an error. I bind down-mouse-3 to
> strokes-do-stroke, and would like to pop up the context menu when no
> stroke matches. In addition, two arguments stroke and match can be
> passed to the function for other uses (e.g. making the error message
> more informative).

Thanks.  This is a useful extension, IMO, but please extend the doc
string of strokes-no-match-function to explain how it will be called
and what is expected from it, including the expected return value(s)
and their meaning.